summaryrefslogtreecommitdiff
path: root/desktop
diff options
context:
space:
mode:
authorIsaac Yu <isaacyu1@isaacyu1.com>2022-09-23 23:36:29 +0100
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2022-09-25 13:59:43 +0700
commit84aaccce8d293869e4e0ac534e52b4df5c12d669 (patch)
tree515e9433918f8c90b5c5a430f446d29e68708e88 /desktop
parentcd24a5b7c2f5c35ac2556fd7d42b6387fac23e9f (diff)
downloadslackbuilds-84aaccce8d293869e4e0ac534e52b4df5c12d669.tar.gz
desktop/plasma5-themes-breath: Added (KDE Theme for Manjaro Linux)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/plasma5-themes-breath/README5
-rw-r--r--desktop/plasma5-themes-breath/plasma5-themes-breath.SlackBuild106
-rw-r--r--desktop/plasma5-themes-breath/plasma5-themes-breath.info10
-rw-r--r--desktop/plasma5-themes-breath/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/desktop/plasma5-themes-breath/README b/desktop/plasma5-themes-breath/README
new file mode 100644
index 0000000000..b77edee01b
--- /dev/null
+++ b/desktop/plasma5-themes-breath/README
@@ -0,0 +1,5 @@
+Breath is the default KDE theme for Manjaro Linux.
+It is based on the Breeze KDE theme.
+
+This package is not to be confused with breath-gtk-theme (The GTK theme
+available at SlackBuilds.org).
diff --git a/desktop/plasma5-themes-breath/plasma5-themes-breath.SlackBuild b/desktop/plasma5-themes-breath/plasma5-themes-breath.SlackBuild
new file mode 100644
index 0000000000..978f9a1673
--- /dev/null
+++ b/desktop/plasma5-themes-breath/plasma5-themes-breath.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/bash
+
+# Slackware build script for plasma5-themes-breath
+
+# Copyright 2022 Isaac Yu <isaacyu1@isaacyu1.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=plasma5-themes-breath
+VERSION=${VERSION:-21.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+SRCNAM=breath
+SRCVER=${SRCVER:-46e32f264f8bef8afcc73b833f788b633706ccde}
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCVER
+TARBALL=$CWD/$SRCVER.tar.gz
+if [ ! -e $TARBALL ] ; then
+ TARBALL=$CWD/$SRCNAM-$VERSION.tar.gz
+fi
+tar xvf $TARBALL
+cd $SRCNAM-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ cmake -DCMAKE_C_FLAGS:STRING="${SLKCFLAGS}" \
+ -DCMAKE_CXX_FLAGS:STRING="${SLKCFLAGS}" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
+ -DBUILD_PLASMA_THEMES=ON \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE Readme.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/plasma5-themes-breath/plasma5-themes-breath.info b/desktop/plasma5-themes-breath/plasma5-themes-breath.info
new file mode 100644
index 0000000000..fd49e20969
--- /dev/null
+++ b/desktop/plasma5-themes-breath/plasma5-themes-breath.info
@@ -0,0 +1,10 @@
+PRGNAM="plasma5-themes-breath"
+VERSION="21.2.0"
+HOMEPAGE="https://gitlab.manjaro.org/artwork/themes/breath"
+DOWNLOAD="https://gitlab.manjaro.org/artwork/themes/breath/-/archive/46e32f264f8bef8afcc73b833f788b633706ccde.tar.gz"
+MD5SUM="c2d7183cec6abab0986c39fdf7244f0c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="plasma5-themes-breath-migration"
+MAINTAINER="Isaac Yu"
+EMAIL="isaacyu1@isaacyu1.com"
diff --git a/desktop/plasma5-themes-breath/slack-desc b/desktop/plasma5-themes-breath/slack-desc
new file mode 100644
index 0000000000..b8063fc449
--- /dev/null
+++ b/desktop/plasma5-themes-breath/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+plasma5-themes-breath: plasma5-themes-breath (KDE Theme for Manjaro Linux)
+plasma5-themes-breath:
+plasma5-themes-breath: Breath is the default KDE theme for Manjaro Linux.
+plasma5-themes-breath: It is based on the Breeze KDE theme.
+plasma5-themes-breath:
+plasma5-themes-breath:
+plasma5-themes-breath:
+plasma5-themes-breath:
+plasma5-themes-breath:
+plasma5-themes-breath:
+plasma5-themes-breath: